package nl.uvt.locator;

import nu.xom.*;

public class IllRequestor {
	Document getDocument( QueryData pQ, LinkInfo linkInfo ){
		Element root = new Element("records");
		Document doc = new Document( root );
		LinkInfo li = generateLink( pQ, linkInfo );
		if ( li != null ){
			Node liNode = li.toRecordNode();
			root.appendChild( liNode );
		}
//		Locator.logger.debug(doc.toXML());
		return doc;
	}

	private LinkInfo generateLink(QueryData pQ, LinkInfo linkInfo ) {
		LinkInfo li = new LinkInfo();
		li.linkMethod = "ILL";
		li.generatedUrl = linkInfo.generateOpenURL( pQ );
		Locator.logger.debug("ILLlink:" + li.generatedUrl);		
		return li;
	}	

}
